
local MakePlayerCharacter = require "prefabs/player_common"


local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wilson.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),      

		-- Don't forget to include your character's custom assets!
        Asset( "ANIM", "anim/wilhelm.zip" ),
		Asset( "ANIM", "anim/ghost_wilhelm_build.zip" ),
}
local prefabs = { }

local function common_postinit(inst)
    inst.avatar_tex   = "avatar_wilhelm.tex"
    inst.avatar_atlas = "images/avatars/avatar_wilhelm.xml"
     
    inst.avatar_ghost_tex   = "avatar_ghost_wilhelm.tex"
    inst.avatar_ghost_atlas = "images/avatars/avatar_ghost_wilhelm.xml"

    inst.self_inspect_tex   = "self_inspect_wilhelm.tex"
    inst.self_inspect_atlas = "images/avatars/self_inspect_wilhelm.xml"
end
local start_inv = { }

local function master_postinit(inst)
	inst.soundsname = "wx78"

    inst.entity:AddMiniMapEntity()
    inst.MiniMapEntity:SetIcon("wilhelmmini.tex")

	inst.components.health:SetMaxHealth(200)
	inst.components.hunger:SetMax(150)
	inst.components.sanity:SetMax(220)
	inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 1.4)
	inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 1.4)
	inst.components.combat.damagemultiplier = 1.75
	inst.components.hunger:SetRate(TUNING.WILSON_HUNGER_RATE * 1.3)
	
end

STRINGS.CHARACTER_TITLES.wilhelm = "The Enforcer"
STRINGS.CHARACTER_NAMES.wilhelm = "Wilhelm"
STRINGS.CHARACTER_DESCRIPTIONS.wilhelm ="*Cybernetic legs for speed\n*Cybernetic arms for strength\n*Needs to refuel frequently"
STRINGS.CHARACTER_QUOTES.wilhelm = "\"No.\""
STRINGS.CHARACTERS.WILHELM = require "speech_wilhelm"

return MakePlayerCharacter("wilhelm", prefabs, assets, common_postinit, master_postinit, start_inv)